Create a image ref validation
POST
/v1/algorithm-definitions/image-ref-validationscurl -X POST 'https://api.embodiflow.io/v1/algorithm-definitions/image-ref-validations' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"imageRef": "string",
"registryUrl": "string",
"registryServer": "string",
"registryUsername": "string",
"registryPassword": "string"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Request body
Content-Typeapplication/json
- imageRefstringrequired
- registryUrlstring | null
- registryServerstring | null
- registryUsernamestring | null
- registryPasswordstring | null
Responses
Success
- dataobjectrequired
- okbooleanrequiredAllowed valuestrue
- normalizedImageRefstringrequired
Response example
{
"data": {
"ok": true,
"normalizedImageRef": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1